Subject: Re: [PATCH net] net: phylink: check for SFP bus presence in phylink_expects_phy

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 12 Apr 2023 08:51:21 +0100

On Wed, Apr 12, 2023 at 09:48:50AM +0200, Maxime Chevallier wrote:
> When an SFP bus is present, we don't expect a PHY to be attached
> directly from the MAC driver, it will be handled by phylink at SFP
> attach time.

If we have a SFP, then phylink should be configured for in-band mode.
Maybe fix the firmware description instead?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!